import * as React from 'react';
declare type MakeTFunction<L, T> = (locale: L) => (TFunction<T>);
declare type TFunction<T> = (args: T) => string;
interface IContextValue<L, T> {
    locale: L;
    t: TFunction<T>;
}
export interface II18n<L = string, T = string> {
    locale: L;
    makeT: MakeTFunction<L, T>;
}
export declare function createI18nContext<L, T>(defaultValue: IContextValue<L, T>): {
    I18nProvider: React.FunctionComponent<II18n<L, T>>;
    I18nConsumer: React.ExoticComponent<React.ConsumerProps<IContextValue<L, T>>>;
};
export {};
