"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
function createI18nContext(defaultValue) {
    var Context = React.createContext(defaultValue);
    var I18nProvider = function (_a) {
        var children = _a.children, locale = _a.locale, makeT = _a.makeT;
        var state = { locale: locale, t: makeT(locale) };
        return (React.createElement(Context.Provider, { value: state }, children));
    };
    var I18nConsumer = Context.Consumer;
    return { I18nProvider: I18nProvider, I18nConsumer: I18nConsumer };
}
exports.createI18nContext = createI18nContext;
